/*
    priv->download_resource_thread_pool =
        g_thread_pool_new (slurp_download_resource_in_thread_func,
                           self,
                           1,
                           FALSE,
                           NULL);
 */


/**
 * SECTION:slurp-download
 * @title: SlurpDownload
 * @short_description: Asynchronous resource download using the libsoup package
 * @include: slurp-download.h
 * @see_also: #SoupSession, #SoupRequest, #GMainLoop, #GMainContext,
 *            #GCallback, #GCancellable, #GFile, #GInputStream
 *
 * Downloads files in parallel by running asynchronous file download with the
 * help of libsoup. Each download runs it's own #GMainLoop but refs the current
 * #GMainContext, if one exists using g_main_context_ref_thread_default(). If no
 * current #GMainContext exists then a new one is created. If you plan on using
 * downloads inside of an application you should run that application first
 * either with a #GMainLoop or using #GApplication so I can hook onto the
 * main context.
 **/
